Форум программистов, компьютерный форум CyberForum.ru

Не билдится стандартный проект - HTML5

Войти
Регистрация
Восстановить пароль
 
Рейтинг: Рейтинг темы: голосов - 11, средняя оценка - 4.82
DeoDaTuZ
0 / 0 / 0
Регистрация: 22.03.2013
Сообщений: 13
04.05.2015, 14:31     Не билдится стандартный проект #1
Создаю новый проект, сразу вхожу в него

Код
$ cd my-app
После этого ввожу

Код
$ phonegap platform add android
отзыв получаю такой

Код
npm
 http GET https://registry.npmjs.org/cordova-android

npm 
http 200 https://registry.npmjs.org/cordova-android

Platform android already added
.

Далее пытаюсь провести билд проекта

Код
$ phonegap build android
и потом выводит ошибку

Код
:processDebugManifest
/Users/belix/my-app/platforms/android/AndroidManifest.xml:15:5 Error:
	uses-sdk:minSdkVersion 7 cannot be smaller than version 10 declared in library /Users/belix/my-app/platforms/android/build/intermediates/exploded-aar/android/CordovaLib/unspecified/debug/AndroidManifest.xml
	Suggestion: use tools:overrideLibrary="org.apache.cordova" to force usage

 FAILED



FAILURE: 
Build failed with an exception.



* What went wrong:

Execution failed for task ':processDebugManifest'.

> 
Manifest merger failed : uses-sdk:minSdkVersion 7 cannot be smaller than version 10 declared in library /Users/belix/my-app/platforms/android/build/intermediates/exploded-aar/android/CordovaLib/unspecified/debug/AndroidManifest.xml

  	Suggestion: use tools:overrideLibrary="org.apache.cordova" to force usage



* Try:

Run with --stacktrace option to get the stack trace. Run with --info or --debug option to get more log output.



BUILD FAILED


Total time: 2 mins 10.377 secs


/Users/belix/my-app/platforms/android/cordova/node_modules/q/q.js:126
                    throw e;
                          ^
Error code 1 for command: /Users/belix/my-app/platforms/android/gradlew with args: cdvBuildDebug,-b,/Users/belix/my-app/platforms/android/build.gradle,-Dorg.gradle.daemon=true

ERROR building one of the platforms: Error: /Users/belix/my-app/platforms/android/cordova/build: Command failed with exit code 1
You may not have the required environment or OS to build this project

Error: /Users/belix/my-app/platforms/android/cordova/build: Command failed with exit code 1
    at ChildProcess.whenDone (/usr/local/lib/node_modules/phonegap/node_modules/cordova/node_modules/cordova-lib/src/cordova/superspawn.js:131:23)
    at ChildProcess.emit (events.js:110:17)
    at maybeClose (child_process.js:1015:16)
    at Process.ChildProcess._handle.onexit (child_process.js:1087:5)
Кто сталкивался с такой проблемой подскажите в чём проблема...
Similar
Эксперт
41792 / 34177 / 6122
Регистрация: 12.04.2006
Сообщений: 57,940
04.05.2015, 14:31     Не билдится стандартный проект
Посмотрите здесь:

Софт Не стандартный вопрос :)
Стандартный вход Windows Server Server 2008
Visual Studio Тупой вопрос: как сохранить проект и скомпилированный проект?
стандартный компилятор Java SE
Как копировать проект Form.h и конструктор в новый проект C++/CLI WinForms
Перевести на стандартный С++ C++
C++ Как скопировать проект в другой проект для дальнейшей работы над новой версией (VS)?
Некорректно билдится проект
Проект в VB. 3. 1. Создать проект, который по нажатию кнопки будет прорисовывать сердце проколотое стрелой Visual Basic
проект в VB 6.0 Разработать проект для решения задачи: является данный треугольник равнобедренным Visual Basic
Как подключить проект с github в свой проект C#
C# .NET 4.x Не билдится форма, но запускается что это?

Искать еще темы с ответами

Или воспользуйтесь поиском по форуму:
После регистрации реклама в сообщениях будет скрыта и будут доступны все возможности форума.
ilich87
1 / 1 / 0
Регистрация: 22.01.2014
Сообщений: 6
06.05.2015, 02:21     Не билдится стандартный проект #2
Цитата Сообщение от DeoDaTuZ Посмотреть сообщение
Manifest merger failed : uses-sdk:minSdkVersion 7 cannot be smaller than version 10 declared in library /Users/belix/my-app/platforms/android/build/intermediates/exploded-aar/android/CordovaLib/unspecified/debug/AndroidManifest.xml
Написано"minSdkVersion 7 не может быть ниже версии 10, который зарегистрирован в библиотеке."

Идём в config.xml проекта и меняем там <preference name="android-minSdkVersion" value="7" /> на <preference name="android-minSdkVersion" value="10" />

Мне помогло.

Как заставить phonegap создавать сразу с minSdkVersion=10 я что-то не разобрался. Если поймёшь, буду рад узнать.
Yandex
Объявления
06.05.2015, 02:21     Не билдится стандартный проект
Ответ Создать тему
Опции темы

Текущее время: 08:30. Часовой пояс GMT +3.
КиберФорум - форум программистов, компьютерный форум, программирование
Powered by vBulletin® Version 3.8.9
Copyright ©2000 - 2017, vBulletin Solutions, Inc.
Рейтинг@Mail.ru